import {request} from '../request'
export default {
	// 获取订单列表
	getOrderList(data){
		return new Promise((resolve, reject) => {
			request.get('/mallClient/order/list',data)
			.then((res) =>{
				resolve(res);
			}).catch(err =>{
				reject(err);
			})
		})
	},
	// 获取订单详情
	getOrderDetail(id){
		return new Promise((resolve, reject) => {
			request.get('/mallClient/order/'+id)
				.then((res) =>{
					resolve(res);
				}).catch(err =>{
					reject(err);
				})
		})
	},
	// 获取订单商品列表
	getMallclientOrderProductList(data){
		return new Promise((resolve, reject) => {
			request.get('/mallclient/clientorderItem/list',data)
				.then((res) =>{
					resolve(res);
				}).catch(err =>{
					reject(err);
				})
		})
	},
	// 查询订单商品素材模板列表
	getProductMaterialDictList(data){
		return new Promise((resolve, reject) => {
			request.get('/mall/materialDict/listWithProduct',data)
				.then((res) =>{
					resolve(res);
				}).catch(err =>{
					reject(err);
				})
		})
	},
	// 查询订单商品素材列表(已有)
	getMallOrderProductMaterialList(data){
		return new Promise((resolve, reject) => {
			request.get('/mall/material/list',data)
				.then((res) =>{
					resolve(res);
				}).catch(err =>{
					reject(err);
				})
		})
	},
	// 查询订单商品素材模板素材项列表
	getProductMaterialDictItemList(data){
		return new Promise((resolve, reject) => {
			request.get('/mall/materialTemplate/listById',data)
				.then((res) =>{
					resolve(res);
				}).catch(err =>{
					reject(err);
				})
		})
	},
	// 删除文件
	delOssFile(id){
		console.log("id",id)
		return new Promise((resolve, reject) => {
			request.delete('/resource/oss/' + id)
			.then((res) =>{
				resolve(res);
			}).catch(err =>{
				reject(err);
			})
		})
	},
	// 订单素材列表（流程）
	getOrderMaterialList(data){
		return new Promise((resolve, reject) => {
			request.get('/mall/orderMaterial/list',data)
				.then((res) =>{
					resolve(res);
				}).catch(err =>{
					reject(err);
				})
		})
	},
	// 新增订单素材(流程）
	AddOrderMaterial(data){
		return new Promise((resolve, reject) => {
			request.post('/mall/orderMaterial',data)
				.then((res) =>{
					resolve(res);
				}).catch(err =>{
					reject(err);
				})
		})
	},
	// 编辑订单素材(流程）
	EditOrderMaterial(data){
		return new Promise((resolve, reject) => {
			request.put('/mall/orderMaterial',data)
				.then((res) =>{
					resolve(res);
				}).catch(err =>{
					reject(err);
				})
		})
	},
	// 修改素材(批量)
	mallMaterialUpdateBatch(data){
		return new Promise((resolve, reject) => {
			request.put('/mall/material/updateBatch',data)
				.then((res) =>{
					resolve(res);
				}).catch(err =>{
					reject(err);
				})
		})
	},
	// 提交商品素材列表（完成）
	mallMaterialCommit(orderItemId){
		return new Promise((resolve, reject) => {
			request.put('/mall/material/commit/' + orderItemId )
				.then((res) =>{
					resolve(res);
				}).catch(err =>{
					reject(err);
				})
		})
	},
	// 启动任务(流程）
	startWorkFlow(data){
		return new Promise((resolve, reject) => {
			request.post('/workflow/task/startWorkFlow',data)
				.then((res) =>{
					resolve(res);
				}).catch(err =>{
					reject(err);
				})
		})
	},
	// 办理流程(流程）
	completeTask(data){
		return new Promise((resolve, reject) => {
			request.post('/workflow/task/completeTask',data)
				.then((res) =>{
					resolve(res);
				}).catch(err =>{
					reject(err);
				})
		})
	},
	// 用户确认预览视频(调整或确认）
	materialAdjust(data){
		return new Promise((resolve, reject) => {
			request.post('/mall/material/adjust',data)
				.then((res) =>{
					resolve(res);
				}).catch(err =>{
					reject(err);
				})
		})
	},
	// 获取openid
	getWxOpenid(data){
		return new Promise((resolve, reject) => {
			request.get('/wx/offiaccount/getAccessToken',data)
				.then((res) =>{
					resolve(res);
				}).catch(err =>{
					reject(err);
				})
		})
	},
	// 生成支付订单
	addPayOrder(data){
		return new Promise((resolve, reject) => {
			request.post('/mall/order/pay',data)
				.then((res) =>{
					resolve(res);
				}).catch(err =>{
					reject(err);
				})
		})
	},
}